"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10585a200>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10585a2a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10585a340>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10585a3e0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10585a480>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10585a520>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10585a5c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10585a660>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10585a700>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10585a7a0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10585a840>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10585a8e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10585a980>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10585aa20>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10585aac0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10585ab60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10585ac00>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10585aca0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10585ad40>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10585ade0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10585ae80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10585af20>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10585afc0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10585b060>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10585b100>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10585b1a0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10585b240>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10585b2e0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10585b380>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10585b420>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10585b4c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10585b560>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10585b600>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10585b6a0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10585b740>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10585b7e0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10585b880>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10585b920>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10585b9c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10585ba60>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10585bb00>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10585bba0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10585bc40>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10585bce0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10585bd80>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10585be20>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10585bec0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10585bf60>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8040>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1058b80e0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8180>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8220>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1058b82c0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8360>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8400>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1058b84a0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8540>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1058b85e0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8680>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8720>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1058b87c0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8860>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8900>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1058b89a0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8a40>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8ae0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8b80>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8c20>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8cc0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8d60>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8e00>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8ea0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8f40>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1058b8fe0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1058b9080>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1058b9120>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1058b91c0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1058b9260>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1058b9300>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1058b93a0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1058b94e0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1058b9440>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1058b9580>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1058b9620>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1058b96c0>)]
name: str = 'fr_HOCCN'
